#include "light.h"

Light::Light()
{
    initPointLight();
}

void Light::initDirectionnalLight(glm::vec3 dir, glm::vec3 lightColor, bool isShadowCaster)
{
    direction = dir;
    color = lightColor;
    shadowCaster = isShadowCaster;
    isDir = true;
}

void Light::initPointLight(glm::vec3 pos, glm::vec3 lightColor, bool isShadowCaster)
{
    position = pos;
    angle = 360;
    color = lightColor;
    shadowCaster = isShadowCaster;
    isDir = false;
}
/*
void Light::initSpotLight(glm::vec3 pos, glm::vec3 dir, float spotAngle, glm::vec3 lightColor, bool isShadowCaster)
{
    position = pos;
    direction = dir;
    angle = spotAngle;
    color = lightColor;
    shadowCaster = isShadowCaster;
    isDir = false;
}
*/
bool Light::isDirectionnal()
{
    return isDir;
}
